summaryrefslogtreecommitdiff
path: root/bin/build-master-status
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2017-06-09 14:53:08 +0200
committerErich Eckner <git@eckner.net>2017-06-09 14:53:08 +0200
commit598467074c2cae67336e7279c187b7768bf09849 (patch)
tree72a2008c3ba0cf5d415d8a87ac945baec49f37c3 /bin/build-master-status
parent80d6523ed8645286807382a6f3a90a841a09c9bb (diff)
downloadbuilder-598467074c2cae67336e7279c187b7768bf09849.tar.xz
bin/build-master-status: bug fixes, adopt to real repo layout
Diffstat (limited to 'bin/build-master-status')
-rwxr-xr-xbin/build-master-status12
1 files changed, 8 insertions, 4 deletions
diff --git a/bin/build-master-status b/bin/build-master-status
index c7cd098..fd1e8ec 100755
--- a/bin/build-master-status
+++ b/bin/build-master-status
@@ -13,13 +13,17 @@ tasks="$(
"${work_dir}/build-list"
)"
staging="$(
- find "${master_mirror_directory}/i686/"*{testing,staging} -name '*.pkg.tar.xz' | \
+ find "${master_mirror_directory}/i686/staging" -name '*.pkg.tar.xz' | \
+ wc -l
+ )"
+testing="$(
+ find "${master_mirror_directory}/i686/"*testing -name '*.pkg.tar.xz' | \
wc -l
)"
broken="$(
ls "${work_dir}/package-states/" | \
grep -c '\.broken$'
- )"
+ )" || true
loops="$(
ls "${work_dir}/build-list.loops" | \
grep -c '^loop_[0-9]\+$'
@@ -33,9 +37,9 @@ looped_packages="$(
wc -l
)"
-printf 'The mirror master contains %d stable packages (vs. ca. %d planned).\n' "${stable}" "$[${staging}+${tasks}]"
+printf 'The mirror master contains %d stable packages (vs. ca. %d planned).\n' "${stable}" "$[${staging}+${testing}+${tasks}]"
printf 'The build list contains %d tasks (incl. broken: %d).\n' "$[${tasks}-${broken}]" "${tasks}"
-printf 'There are %d testing/staging packages.\n' "${staging}"
+printf 'There are %d testing and %d staging packages.\n' "${testing}" "${staging}"
printf 'There are %d broken packages.\n' "${broken}"
if [ "${loops}" -ne 0 ]; then
printf 'There are %d loops containing %d packages.\n' "${loops}" "${looped_packages}"